Page MenuHomePhabricator

watchman: ignore some of watchman errors
AbandonedPublic

Authored by lothiraldan on Jan 15 2019, 11:57 AM.

Details

Reviewers
indygreg
Group Reviewers
hg-reviewers
Summary

Don't display 'illegal_fstypes' errors. In environments with network
filesystems, the error messages are quickly pilling up and polluting outputs.

Diff Detail

Repository
rHG Mercurial
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

lothiraldan created this revision.Jan 15 2019, 11:57 AM

This series is non-urgent and it's fine if not included in the RC. I would like to gather feedback from fsmonitor experts on it but phabricator doesn't allow to set a RFC flag

indygreg accepted this revision.Jan 16 2019, 4:33 PM
indygreg added a subscriber: indygreg.

I don't suppose there's a way to easily test this? I'm guessing not...

The change seems reasonable though.

This revision is now accepted and ready to land.Jan 16 2019, 4:33 PM

I don't suppose there's a way to easily test this? I'm guessing not...
The change seems reasonable though.

Unfortunately, I don't see an easy way to test it

Thank you for your thorough review of the series, I will wait after the RC to send a new version as it's a non-urgent series

lothiraldan abandoned this revision.Feb 13 2019, 11:23 AM

Resent as D5955